/****************************************************************************/
/*                                                                          */
/*                      Chaine de CAO & VLSI   Alliance                     */
/*                                                                          */
/*    Produit : synthetiseur logique                                        */
/*    Fichier : util.h                                                      */
/*                                                                          */
/*    (c) copyright 1991 Laboratoire MASI equipe CAO & VLSI                 */
/*    Tous droits reserves                                                  */
/*    Support : e-mail cao-vlsi@masi.ibp.fr                                 */
/*                                                                          */
/*    Auteur(s) :     P. Allegre                        le : 21/08/91       */
/*                                                                          */
/*    Modifie par :                                     le : ../../....     */
/*    Modifie par :                                     le : ../../....     */
/*    Modifie par :                                     le : ../../....     */
/*                                                                          */
/****************************************************************************/


pTH sigBeh;

int testObj();
char *exprToCharRed();
long searchPtype();
ptype_list *minPtype();

		/* ------ Gestion de Alist -------*/

void displayAlist();
Alist *createAlist();
void initAlist();
Alist *searchAlist();
void resetAlist();

		/* ------ Gestion de Reference -------*/

void addRef();
void createRef();
void delRef();
void displayRef();
void moveRef();
ptype_list *searchRef();
chain_list *searchRefName();
ptype_list *searchRefNiv();

char *exprOperToCharPref();
char *exprOperToCharIntPref();
void statistiques();
chain_list *changeExpr();
chain_list *expanse();

chain_list *simplifExpr10();
int numberOcVar();
void createAux();
void newBefig();
void changeAblBeh();

void sort2Expr();
int funcNorm2();
